Subject: bug#46649: 28.0.50; problem with gui emacs minibuffer when starting emacsclient in tty

From: [email-masked]
Date: Tue, 23 Feb 2021 13:07:11 +0100

Lars Ingebrigtsen <[email-masked]> writes:

> [email-masked] writes:
>
>> - start a gui emacs
>> - in a separate tty, start emacsclient -nw
>> - go back to gui emacs, do m-x, or anything that affects the minibuffer
>> the minibuffer is empty, and messages buffer gets an error message:
>>
>> face-attribute: Variable binding depth exceeds max-specpdl-size
>>
>> emacs is now close to useless, since any operation using the
>> minibuffer is broken.
>
> I'm unable to reproduce this, but perhaps there's something missing in
> the recipe?
>
> I tried:
>
> emacs -Q -f server-start &
> emacsclient -nw
>
> Then I chose the GUI Emacs and said `M-x'.  Nothing in particular
> happened -- it displayed `M-x' as normal.

It might be related to the completion frameweork I'm using. I tried
Selectrum, Ivy, Helm, and Ido before sending the report.

I will rebuild emacs and try again and get back to you.
-- 
Joakim Verona
[email-masked]